Delete a project
DELETE
/repos/{owner}/{repo}/projects/{id}
const url = 'https://gitea.example.com/api/v1/repos/example/example/projects/1';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://gitea.example.com/api/v1/repos/example/example/projects/1 \ --header 'Authorization: Basic <credentials>'Gitea Enterprise only. This endpoint is not part of the community edition.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
id
required
integer format: int64
Id of the project
Responses
Section titled “Responses”APIEmpty is an empty response
APINotFound is a not found empty response
APIRepoArchivedError is an error that is raised when an archived repo should be modified
Headers
Section titled “Headers”message
string
url
string